Opened 5 years ago

Closed 5 years ago

#17461 closed enhancement (fixed)

Remove (various) deprecated code from #14014 #11360 #13646 #14499 #15551 #13283 #11927 #12806 #10900

Reported by: ncohen Owned by:
Priority: major Milestone: sage-6.5
Component: misc Keywords:
Cc: Merged in:
Authors: Nathann Cohen Reviewers: Vincent Delecroix
Report Upstream: N/A Work issues:
Branch: 126d0fe (Commits) Commit: 126d0fe19a03bfb322d8c46c63ff9f24f5480190
Dependencies: Stopgaps:

Description (last modified by jdemeyer)

This ticket removes various deprecated code from the following tickets:

Not to be merged before 2015-01-30

Change History (19)

comment:1 Changed 5 years ago by ncohen

  • Branch set to u/ncohen/17461
  • Commit set to c366e853fceb456d57f42d93551aeba1a74bfd9c
  • Status changed from new to needs_review

New commits:

fe1c6e0Remove NetworkXGraphDeprecated deprecated in #10900 on the 2012-07-08
61ab0b6Remove a keyword in clustering_coeff, deprecated in #12806 on 2012-07-08
4a114a5Remove keyword "deg_seq" deprecated in #11927 on 2012-12-24
47462d2Remove RandomInterval deprecated in #13283 on 2013-07-29
a5eb2d9Removed deprecated function aliases, added in #15551 on 2013-12-19
b77ccd1Removed deprecated imports into the global namespace, added in #14499 on 2013-05-02
688d5dcRemoved Sum function deprecated in #13646 on 2012-10-30
2c19380Removed group() function deprecated in #11360 on 2011-08-03
c366e85Removed field_of_definition and base_field deprecated in #14014 on 2013-05-02

comment:2 Changed 5 years ago by jdemeyer

  • Description modified (diff)
  • Type changed from defect to enhancement

comment:3 Changed 5 years ago by jdemeyer

  • Milestone changed from sage-6.5 to sage-pending

comment:4 Changed 5 years ago by vdelecroix

  • Status changed from needs_review to needs_work

Hello,

It is not that simple to get rid of deprecated classes:

sage -t --long structure/sage_object.pyx
**********************************************************************
File "structure/sage_object.pyx", line 1417, in sage.structure.sage_object.unpickle_all
Failed example:
    sage.structure.sage_object.unpickle_all()  # (4s on sage.math, 2011)

File "structure/sage_object.pyx", line 1425, in sage.structure.sage_object.unpickle_all
Failed example:
    sage.structure.sage_object.unpickle_all()

Either you feel like implementing a work around (i.e. fake classes like in sage.combinat.permutation.py (see the very end of the file) or you launch a vote on sage-devel to empty the pickle jar of these classes.

Vincent

comment:5 follow-up: Changed 5 years ago by ncohen

Hey Jeroen, I am setting this ticket back to its original status unless to care to explain here why it should not be merged until june 2015. All this stuff was deprecated in 2013, and that was one year ago.

Nathann

comment:6 Changed 5 years ago by ncohen

  • Description modified (diff)
  • Milestone changed from sage-pending to sage-6.5
  • Status changed from needs_work to needs_review

comment:7 Changed 5 years ago by vdelecroix

  • Status changed from needs_review to needs_work

Hey Nathann,

As far as I see you did not solve the failing doctests in sage.structure.sage_object. So unless you care to explain why it should not be solved I put it back to needs work.

Vincent

comment:8 Changed 5 years ago by ncohen

You know I cannot resolve this thing in any satisfying way. The only thing that this policy is achieving is preventing people from removing the code. I will just removing the commit, that's all I can do.

Nathann

Version 0, edited 5 years ago by ncohen (next)

comment:9 Changed 5 years ago by git

  • Commit changed from c366e853fceb456d57f42d93551aeba1a74bfd9c to 10106e33f752ff5b8e3020043ec68105be7b15f6

Branch pushed to git repo; I updated commit sha1. This was a forced push. New commits:

e31bd9dRemove a keyword in clustering_coeff, deprecated in #12806 on 2012-07-08
cfe6962Remove keyword "deg_seq" deprecated in #11927 on 2012-12-24
6836c88Remove RandomInterval deprecated in #13283 on 2013-07-29
3a247a6Removed deprecated function aliases, added in #15551 on 2013-12-19
7aeb12eRemoved deprecated imports into the global namespace, added in #14499 on 2013-05-02
8f9e5caRemoved Sum function deprecated in #13646 on 2012-10-30
bcca4edRemoved group() function deprecated in #11360 on 2011-08-03
10106e3Removed field_of_definition and base_field deprecated in #14014 on 2013-05-02

comment:10 Changed 5 years ago by ncohen

  • Status changed from needs_work to needs_review

comment:11 Changed 5 years ago by vdelecroix

  • Status changed from needs_review to positive_review

All right...

comment:12 Changed 5 years ago by vdelecroix

  • Reviewers set to Vincent Delecroix

comment:13 in reply to: ↑ 5 ; follow-up: Changed 5 years ago by jdemeyer

  • Description modified (diff)
  • Milestone changed from sage-6.5 to sage-pending

Replying to ncohen:

Hey Jeroen, I am setting this ticket back to its original status unless to care to explain here why it should not be merged until june 2015. All this stuff was deprecated in 2013, and that was one year ago.

I guess you mean january 2015, not june.

It's easy: you are removing code deprecated in Sage 6.1, released 2014-01-30. That plus one year equals 2015-01-30.

comment:14 in reply to: ↑ 13 ; follow-up: Changed 5 years ago by ncohen

I guess you mean january 2015, not june.

Oh right. You set a different deadline #17462.

It's easy: you are removing code deprecated in Sage 6.1, released 2014-01-30. That plus one year equals 2015-01-30.

Honestly Jeroen, why do you make our life more complicated for a month nobody cares about ? You know very well that even if this ticket is merged in a beta the stable release will not be made until weeks/months later.

Besides, unless you can point me to a rule somewhere that says that the 'official date' is the one of the stable release, why should we disregard the date given by git which corresponds to the day the release manager merged it ? Please, let's keep it simple. It's not worth anybody's time.

Nathann

comment:15 in reply to: ↑ 14 Changed 5 years ago by jdemeyer

Replying to ncohen:

Honestly Jeroen, why do you make our life more complicated for a month nobody cares about ?

Honestly Nathann, why do you care so much about urgently removing deprecated code? There is nothing wrong about deprecated code just sitting around for a while.

You know very well that even if this ticket is merged in a beta the stable release will not be made until weeks/months later.

I have no idea when the next release will be, that's up to the release manager.

Besides, unless you can point me to a rule somewhere that says that the 'official date' is the one of the stable release, why should we disregard the date given by git which corresponds to the day the release manager merged it ?

Deprecations are meant for Sage users, not developers. For users, it's obvious that the date of the stable release is what counts.

comment:16 Changed 5 years ago by vdelecroix

6 days ;-)

comment:17 Changed 5 years ago by jdemeyer

  • Branch changed from u/ncohen/17461 to u/jdemeyer/ticket/17461
  • Created changed from 12/08/14 07:22:33 to 12/08/14 07:22:33
  • Modified changed from 01/24/15 20:05:58 to 01/24/15 20:05:58

comment:18 Changed 5 years ago by jdemeyer

  • Commit changed from 10106e33f752ff5b8e3020043ec68105be7b15f6 to 126d0fe19a03bfb322d8c46c63ff9f24f5480190
  • Milestone changed from sage-pending to sage-6.5

I doubt a new stable release will come out in the next 5 days, so this should be safe.

I also merged the latest beta.


New commits:

126d0feMerge tag '6.5.beta6' into ticket/17461

comment:19 Changed 5 years ago by vbraun

  • Branch changed from u/jdemeyer/ticket/17461 to 126d0fe19a03bfb322d8c46c63ff9f24f5480190
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.